Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.iiop
Class TxIORInterceptor

    java.lang.Object
      org.omg.CORBA.LocalObject
          org.jboss.tm.iiop.TxIORInterceptor

All Implemented Interfaces:
  IDLEntity, Interceptor, InterceptorOperations, IORInterceptor, IORInterceptorOperations, Object, Serializable

public class TxIORInterceptor
extends LocalObject
implements IORInterceptor

Implements an `org.omg.PortableInterceptor.IORInterceptor` that adds spec defined COSTransaction entries to an IOR.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock
See Also:
  Serialized Form

Field Summary
`static short` | `ADAPTS`
`static short` | `EITHER`
`static int` | `TAG_INV_POLICY`
`static int` | `TAG_OTS_POLICY`

Constructor Summary
`TxIORInterceptor(Codec codec)`

Method Summary
`void` | `destroy()`
`void` | `establish_components(IORInfo info)`
`String` | `name()`

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Field Detail

### TAG_OTS_POLICY

    public static final int TAG_OTS_POLICY

See Also:
  Constant Field Values

### TAG_INV_POLICY

    public static final int TAG_INV_POLICY

See Also:
  Constant Field Values

### EITHER

    public static final short EITHER

See Also:
  Constant Field Values

### ADAPTS

    public static final short ADAPTS

See Also:
  Constant Field Values

Constructor Detail

### TxIORInterceptor

    public TxIORInterceptor(Codec codec)

Method Detail

### name

    public String name()

  Specified by:
    `name` in interface `InterceptorOperations`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `InterceptorOperations`

### establish_components

    public void establish_components(IORInfo info)

  Specified by:
    `establish_components` in interface `IORInterceptorOperations`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.